Skip to main content
GET
List updated commitments for Zapier

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

page_size
integer | null

Page size; defaults to100 and is capped at100. Validation: nullable|integer|min:1|max:100. Page size. Validation: nullable|integer|min:1|max:100.

Required range: 1 <= x <= 100
Example:

1

updated_after
string<date-time> | null

Lower updated_at bound; defaults to the start of the day90days before the request. Validation: nullable|date. Updated after. Validation: nullable|date.

cursor_updated_at
string<date-time> | null

Pass meta.next_cursor.updated_at when requesting the next page. Validation: nullable|date. Cursor updated at. Validation: nullable|date.

cursor_id
integer | null

Pass meta.next_cursor.id as the timestamp tie-breaker. Validation: nullable|integer|min:1. Cursor id. Validation: nullable|integer|min:1.

Required range: x >= 1
Example:

1

hysform_id
integer | null

Restrict to the donor profile form. Validation: nullable|integer. Donor form containing the profile. Validation: nullable|integer.

Example:

42

program_id
integer | null

Restrict to the recipient or sponsorship program. Validation: nullable|integer. Program containing the recipient or sponsorship. Validation: nullable|integer.

Example:

11

donor_id
integer | null

Restrict transactions or commitments to the donor. Validation: nullable|integer. Donor who owns the gift or commitment. Validation: nullable|integer.

Example:

12345

status
enum<string> | null

Requested active or archived lifecycle state. Validation: nullable|string|in:active,archived.

Available options:
active,
archived,
null
Example:

"active"

Response

Cursor page.

data
object[]

Changed records ordered by updated_at descending, then id descending.

meta
object